%global         momorel 15

Name:           perl-Catalyst-Engine-HTTP-Prefork
Version:        0.51
Release:        %{momorel}m%{?dist}
Summary:        High-performance pre-forking Catalyst engine
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Engine-HTTP-Prefork/
Source0:        http://www.cpan.org/authors/id/A/AG/AGRUNDMA/Catalyst-Engine-HTTP-Prefork-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-%{version}-Catalyst59.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 5.9007
BuildRequires:  perl-Cookie-XS >= 0.08
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-HTTP-Body >= 1.01
BuildRequires:  perl-HTTP-HeaderParser-XS >= 0.20
BuildRequires:  perl-Net-Server >= 0.97
Requires:       perl-Catalyst-Runtime >= 5.9007
Requires:       perl-Cookie-XS >= 0.08
Requires:       perl-HTTP-Body >= 1.01
Requires:       perl-HTTP-HeaderParser-XS >= 0.20
Requires:       perl-Net-Server >= 0.97
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This engine is designed to run as a standalone Catalyst server, without
requiring the use of another web server. It's goals are high-performance,
HTTP/1.1 compliance, and robustness. It is also suitable for use as a
faster development server with support for automatic restarting.

%prep
%setup -q -n Catalyst-Engine-HTTP-Prefork-%{version}
%patch0 -p1

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Catalyst::Engine::HTTP::Restarter::Watcher)/d'

EOF
%define __perl_requires %{_builddir}/Catalyst-Engine-HTTP-Prefork-%{version}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Catalyst/Engine/HTTP/Prefork.pm
%{perl_vendorlib}/Catalyst/Engine/HTTP/Prefork
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-15m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-14m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-13m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-12m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-11m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-10m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-9m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-8m)
- rebuild against perl-5.16.0

* Sun Jan 15 2012 NARITA Koichi <pulsar@momonga-llinux.org>
- (0.51-7m)
- build fix with new Catalys::Runtime >= 5.9

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-6m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-5m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-4m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.51-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.51-2m)
- rebuild for new GCC 4.5

* Sun Oct 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
